Package org.eclipse.net4j.util.security

## Interface ICredentialsProvider2

- All Superinterfaces:
    `ICredentialsProvider`
  All Known Subinterfaces:
    `IPasswordCredentialsProvider2`
  All Known Implementing Classes:
    `InteractiveCredentialsProvider`

      public interface ICredentialsProvider2
      extends ICredentialsProvider

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ICredentials` | `getCredentials​(java.lang.String realm)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `getCredentials, isInteractive`

- - ### Method Detail

    - #### getCredentials

          ICredentials getCredentials​(java.lang.String realm)